/*
 * ford_immo.h
 *
 *  Created on: Nov 21, 2025
 *      Author: herli
 */
#include "stdint.h"
#include "can_schema.h"

#ifndef IMMOBILISERS_FORD_IMMO_H_
#define IMMOBILISERS_FORD_IMMO_H_

extern uint16_t FIEONA_FIRSTWORD;
extern uint16_t FIEONA_SECONDWORD;

extern uint16_t FIEONA_advance();
extern void Fieona_SEND4_Handler();
void FIEONA_Poll(void);

extern uint16_t FIEONA_TRANS0;
extern uint16_t FIEONA_TRANS1;
extern uint16_t FIEONA_TRANS2;
extern uint16_t FIEONA_TRANS3;

#endif /* IMMOBILISERS_FORD_IMMO_H_ */
